aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJory Pratt <anarchy@gentoo.org>2020-11-25 09:33:26 -0600
committerJory Pratt <anarchy@gentoo.org>2020-11-25 09:33:26 -0600
commite0d878a9863978ccf6aac69ab2606b8b1db293d7 (patch)
tree6bdeabe5b4a28e6ca566fad3d6bb349085fdb073 /app-office
parentmedia-tv/kodi: drop insecure version (diff)
downloadmusl-e0d878a9863978ccf6aac69ab2606b8b1db293d7.tar.gz
musl-e0d878a9863978ccf6aac69ab2606b8b1db293d7.tar.bz2
musl-e0d878a9863978ccf6aac69ab2606b8b1db293d7.zip
app-office/libreoffice: sync with stable in ::gentoo
Package-Manager: Portage-3.0.10, Repoman-3.0.2 Signed-off-by: Jory Pratt <anarchy@gentoo.org>
Diffstat (limited to 'app-office')
-rw-r--r--app-office/libreoffice/Manifest8
-rw-r--r--app-office/libreoffice/files/libreoffice-5.4-system-pyuno.patch42
-rw-r--r--app-office/libreoffice/files/libreoffice-6.2-ldap-optional.patch178
-rw-r--r--app-office/libreoffice/files/libreoffice-6.4.2.2-poppler-0.86.patch15
-rw-r--r--app-office/libreoffice/files/libreoffice-6.4.6.2-llvm-10.patch102
-rw-r--r--app-office/libreoffice/files/libreoffice-6.4.7.2-fix-wrong-setting-for-doc-properties.patch75
-rw-r--r--app-office/libreoffice/files/libreoffice-6.4.7.2-icu-68-1.patch46
-rw-r--r--app-office/libreoffice/files/libreoffice-6.4.7.2-icu-68-2.patch28
-rw-r--r--app-office/libreoffice/files/libreoffice-7.0.3.1-qt5detect.patch23
-rw-r--r--app-office/libreoffice/libreoffice-6.4.3.2.ebuild558
-rw-r--r--app-office/libreoffice/libreoffice-6.4.4.2.ebuild559
-rw-r--r--app-office/libreoffice/libreoffice-6.4.7.2.ebuild (renamed from app-office/libreoffice/libreoffice-6.4.5.2.ebuild)58
12 files changed, 318 insertions, 1374 deletions
diff --git a/app-office/libreoffice/Manifest b/app-office/libreoffice/Manifest
index be0c8b2..45f5c50 100644
--- a/app-office/libreoffice/Manifest
+++ b/app-office/libreoffice/Manifest
@@ -16,10 +16,6 @@ DIST d8bd5eed178db6e2b18eeed243f85aa8-flute-1.1.6.zip 207563 BLAKE2B 0b7bb7b801a
DIST db60e4fde8dd6d6807523deb71ee34dc-liblayout-0.2.10.zip 1396007 BLAKE2B 8012d5c740b74b589f435d59934397111b9e645e965b2c6fd5c12bdc20fd6a9dc93410b40e61fd1dfd058747803bc113cfd6c73fc9e777e5f074cb6b750f93c0 SHA512 4476024e7f307617719714fbf0999409aa11d730bc316f833bb6627d1b83abb42460417be588c193ecb49d6b926dd1f411934d8a8abebe00a3e85c0047dad0a6
DIST eeb2c7ddf0d302fba4bfc6e97eac9624-libbase-1.1.6.zip 427800 BLAKE2B d3ac085a39ee9798182b70ba650fa954234b964e33278ac4fe3f84f8c3218ad49f12d139079328036b4f9d80cde967888c0a66393c34dedf27af69dac02c5aff SHA512 9091d3628d9c75c068507537afc9e10bfb79c1abfd36ad697af3d592a1cc049ba6640f665bfc53cc520b6a26c21d70b0275106843444b441484c2178f2784743
DIST f94d9870737518e3b597f9265f4e9803-libserializer-1.1.6.zip 211919 BLAKE2B 2c72493e44d3ad1714d294fb7baaa85d33fef2eb4ce75bf507b65f78f1d9d399bb5eb72cee188a8abc4b234eb2845a26755791fb3ac104ffe6e55013ab41ca8b SHA512 c1a15ebbfe817ec79d4b3f1c97d096bf8511737d7d35d97302856ccfb3de14a1cd16bd31000415d9ab24bbd9ef770d37855cee4b819ff0e8fca2f2766920a114
-DIST libreoffice-6.4.3.2.tar.xz 230409812 BLAKE2B f9cdad1540c45525bd70596dc3033e3466fcdf3d96547222b936141e49ff6d45581ca59d0e42c4bb79fcb63586d748ccafae712369e024105235e2a9b69be7ce SHA512 ee11c704fa7184ffe371aa36c835c4c7fb06ef03d08fa0a5a9e647e80610db275e091d1ac79c1fe11af0c7f14dd72c821da9e7e6ba59573fc88cec79f84c873a
-DIST libreoffice-6.4.4.2.tar.xz 231325236 BLAKE2B 25e1c765cb0ff9c195ca46a9fe857eef22ab6319da6b069e2c5c093a8f13eac2e1c5efa31fbacd4e3acbdc07e75745ff5c62c180cb61141319422720405a4638 SHA512 8e2b6a2d34fbc182ce4ec0b6d6bfb30665ff5cee0a27a22551c71d4eddf63b812d676ea8dea9a2e4bb028a2365b5e23908679efbe4696032e1abeedecb85b8d3
-DIST libreoffice-6.4.5.2.tar.xz 236255044 BLAKE2B a83ad0c50d1b7e686188c35c5f319b73e7984ad214e125102824789d1f56083a4ed8795cf7d8942fc0b3ddf3cad13f326225812458007a97a166bc5543c47eda SHA512 f0a5ac37b9c8e46bfd50bf9137d193a83d55d8d451c5b27d86b7f257633e861eb79422e1e64f7c462ae4a9045e00827beed302ab6f0773f8864c03bb11d3b752
+DIST libreoffice-6.4.7.2.tar.xz 232364676 BLAKE2B 1df8f2a3aa00bd057dd1d6d9665a541330ceeabb2bb5d46351449cf9b916a5649f38dc0e0175cf3733123f9247157f5fd0f2c34c8dad1d676da6c31d8346927b SHA512 ba6ff5948624d7a76025406c38728d643be656091d79320a1c5ddba10000411662951a0b02de7a9e796e76d8185b6e9113882406bb0c1452b4c988ac3095afa8
DIST libreoffice-branding-gentoo-0.8.tar.xz 151568 BLAKE2B f03c7ddeb53c5ca3fd23401679601fcf2c4037ba17be4eb7b784c7ce7ebb71a24b8ab4aac8b7da8c6b1f14dd23bc1294ba85ff4f70ad271fb4ee3c5372e10883 SHA512 785031a699b1d1895ce4b50ffc3ddf645f3a0ef9acdf37facfd18cf75db9484cb8f53a50abb63d6006ead76a80b6ff5aa99661063245ebb84bd64013d713de7f
-DIST libreoffice-help-6.4.3.2.tar.xz 88297704 BLAKE2B bbd1af159c8b8db1909335f37095812ec3ce81d73644a30a85f3e37daeabeb9a158451b8e586f24d4b7544c8cd0948eeb20ede464384c3277d196f33322e63fb SHA512 9f8c1bcde27d153389d124af1393d0939262c85a1624f0b475a5515b5737612cb607d04742a069534771eee51ba98896926804ec7001d6bc2110dccdd6e7615a
-DIST libreoffice-help-6.4.4.2.tar.xz 88296340 BLAKE2B 73ef558b830e0e2899eb72727e0eb81327807ff2d474c8d956700a09bcadc73cbff26688063f91d3a496afa55ab9a7d4847d84334b89fe4fafe17fb445fbb33d SHA512 7084428e63a458c4e35c135b16dd980fa98695be0ba974cac656a7ef6cb15b059a082891c3f74b72a62f92549afefe46c14ab30b5491fd9e3fea6d5923720b3d
-DIST libreoffice-help-6.4.5.2.tar.xz 88376816 BLAKE2B 8c5f8a3379dd77f41e3350314fa250ede503d998afda3cb2c8c95a4dd3b565bd6d0004b4dd7ff7b079fdb4de766fa105a8dbbd49b5ced5587e5a716aba31ba26 SHA512 fffa5338baa5ebd7bdf607f83b31440c66c19c42136b41505074fe1a7a4bb1630e080e4fc2dd114f8ab0654507f4a84d4190bb134a4756d895ec350cccc10e11
+DIST libreoffice-help-6.4.7.2.tar.xz 88296892 BLAKE2B 9ee12ec6aa6d5539408e0206e313901540533e28686585fa0bb4edbeaa482bb0ad1cd4ae37ac18dab66bb3e2ea32d52d9960236cbf3e0f8fb5ca07c007f38794 SHA512 a5381a8cca9988998dc01d3815869e47193c1da814b714cbedb51a2099f7dc5444315c657e32defab2eb0b9a9e2a922bc4c5fbc36b7a2b60e7c551887a9cdbb3
diff --git a/app-office/libreoffice/files/libreoffice-5.4-system-pyuno.patch b/app-office/libreoffice/files/libreoffice-5.4-system-pyuno.patch
deleted file mode 100644
index 83b56d1..0000000
--- a/app-office/libreoffice/files/libreoffice-5.4-system-pyuno.patch
+++ /dev/null
@@ -1,42 +0,0 @@
---- a/desktop/scripts/soffice.sh
-+++ a/desktop/scripts/soffice.sh
-@@ -147,6 +147,9 @@ if echo "$checks" | grep -q "cc" ; then
- exit 1;
- fi
-
-+PYTHONPATH=$sd_prog${PYTHONPATH+:$PYTHONPATH}
-+export PYTHONPATH
-+
- case "$(uname -s)" in
- NetBSD|OpenBSD|DragonFly)
- # this is a temporary hack until we can live with the default search paths
---- a/pyuno/source/module/uno.py
-+++ a/pyuno/source/module/uno.py
-@@ -16,11 +16,16 @@
- # except in compliance with the License. You may obtain a copy of
- # the License at http://www.apache.org/licenses/LICENSE-2.0 .
- #
-+import os
- import pyuno
- import sys
- import traceback
- import warnings
-
-+sys.path.append('%eprefix%/usr/%libdir%/libreoffice/program')
-+if getattr(os.environ, 'URE_BOOTSTRAP', None) is None:
-+ os.environ['URE_BOOTSTRAP'] = "vnd.sun.star.pathname:%eprefix%/usr/%libdir%/libreoffice/program/fundamentalrc"
-+
- # since on Windows sal3.dll no longer calls WSAStartup
- import socket
-
---- a/pyuno/source/officehelper.py
-+++ a/pyuno/source/officehelper.py
-@@ -45,7 +45,7 @@ def bootstrap():
- if "UNO_PATH" in os.environ:
- sOffice = os.environ["UNO_PATH"]
- else:
-- sOffice = "" # lets hope for the best
-+ sOffice = "%eprefix%/usr/%libdir%/libreoffice/program"
- sOffice = os.path.join(sOffice, "soffice")
- if platform.startswith("win"):
- sOffice += ".exe"
diff --git a/app-office/libreoffice/files/libreoffice-6.2-ldap-optional.patch b/app-office/libreoffice/files/libreoffice-6.2-ldap-optional.patch
deleted file mode 100644
index c926897..0000000
--- a/app-office/libreoffice/files/libreoffice-6.2-ldap-optional.patch
+++ /dev/null
@@ -1,178 +0,0 @@
-From 6776c53b7ce2e431d8636f4e5a755f50f787ec8f Mon Sep 17 00:00:00 2001
-From: Andrew Udvare <audvare@gmail.com>
-Date: Tue, 8 Jan 2019 04:53:51 -0500
-Subject: Make LDAP support optional
-
-Change-Id: Ifbd3903494a81e7b155bf6468f6ca2c50b3370a4
-Reviewed-on: https://gerrit.libreoffice.org/65958
-Tested-by: Jenkins
-Reviewed-by: Markus Mohrhard <markus.mohrhard@googlemail.com>
----
- Repository.mk | 2 +-
- RepositoryExternal.mk | 3 ++-
- configure.ac | 24 ++++++++++++++++++++++-
- connectivity/Library_postgresql-sdbc-impl.mk | 2 +-
- extensions/Module_extensions.mk | 7 ++++++-
- external/postgresql/ExternalProject_postgresql.mk | 5 +++--
- postprocess/Rdb_services.mk | 2 +-
- 7 files changed, 37 insertions(+), 8 deletions(-)
-
-diff --git a/Repository.mk b/Repository.mk
-index 4ae8528..4d8389b 100644
---- a/Repository.mk
-+++ b/Repository.mk
-@@ -389,7 +389,7 @@ $(eval $(call gb_Helper_register_libraries_for_install,OOOLIBS,ooo, \
- hyphen \
- icg \
- $(if $(ENABLE_JAVA),jdbc) \
-- ldapbe2 \
-+ $(if $(ENABLE_LDAP),ldapbe2) \
- $(if $(filter WNT,$(OS)),WinUserInfoBe) \
- localebe1 \
- log \
-diff --git a/RepositoryExternal.mk b/RepositoryExternal.mk
-index 602ff6d..3c9be87 100644
---- a/RepositoryExternal.mk
-+++ b/RepositoryExternal.mk
-@@ -2900,7 +2900,7 @@ endef
-
- endif # SYSTEM_HSQLDB
-
--
-+ifeq ($(ENABLE_LDAP),TRUE)
- ifneq ($(SYSTEM_OPENLDAP),)
-
- define gb_LinkTarget__use_openldap
-@@ -2929,6 +2929,7 @@ $(call gb_LinkTarget_add_libs,$(1), \
- )
-
- endef
-+endif
-
- define gb_ExternalProject__use_openldap
- $(call gb_ExternalProject_use_external_project,$(1),openldap)
-diff --git a/configure.ac b/configure.ac
-index f880308..35c7e02 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -1519,6 +1519,11 @@ libo_FUZZ_ARG_ENABLE(formula-logger,
- )
- )
-
-+AC_ARG_ENABLE(ldap,
-+ AS_HELP_STRING([--disable-ldap],
-+ [Disable LDAP support.]),
-+,enable_ldap=yes)
-+
- dnl ===================================================================
- dnl Optional Packages (--with/without-)
- dnl ===================================================================
-@@ -9214,12 +9219,29 @@ else
- fi
- AC_SUBST(SYSTEM_ODBC_HEADERS)
-
-+dnl ===================================================================
-+dnl Enable LDAP support
-+dnl ===================================================================
-+
-+if test "$_os" != "WINNT" -a "$_os" != "iOS" -a "$_os" != "Android"; then
-+AC_MSG_CHECKING([whether to enable LDAP support])
-+ if test "$enable_ldap" != "yes"; then
-+ AC_MSG_RESULT([no])
-+ ENABLE_LDAP=""
-+ enable_ldap=no
-+ else
-+ AC_MSG_RESULT([yes])
-+ ENABLE_LDAP="TRUE"
-+ AC_DEFINE(HAVE_FEATURE_LDAP)
-+ fi
-+fi
-+AC_SUBST(ENABLE_LDAP)
-
- dnl ===================================================================
- dnl Check for system openldap
- dnl ===================================================================
-
--if test "$_os" != "WINNT" -a "$_os" != "iOS" -a "$_os" != "Android"; then
-+if test "$_os" != "WINNT" -a "$_os" != "iOS" -a "$_os" != "Android" -a "$ENABLE_LDAP" != ""; then
- AC_MSG_CHECKING([which openldap library to use])
- if test "$with_system_openldap" = "yes"; then
- AC_MSG_RESULT([external])
-diff --git a/connectivity/Library_postgresql-sdbc-impl.mk b/connectivity/Library_postgresql-sdbc-impl.mk
-index 53cebd0..3d048f3 100644
---- a/connectivity/Library_postgresql-sdbc-impl.mk
-+++ b/connectivity/Library_postgresql-sdbc-impl.mk
-@@ -47,7 +47,7 @@ $(eval $(call gb_Library_use_externals,postgresql-sdbc-impl,\
- postgresql \
- $(if $(filter-out MSC,$(COM)), \
- openssl \
-- openldap \
-+ $(if $(ENABLE_LDAP),openldap) \
- nss3 \
- plc4 \
- ssl3 \
-diff --git a/extensions/Module_extensions.mk b/extensions/Module_extensions.mk
-index f84a9ca..43dd929 100644
---- a/extensions/Module_extensions.mk
-+++ b/extensions/Module_extensions.mk
-@@ -16,7 +16,6 @@ $(eval $(call gb_Module_add_l10n_targets,extensions,\
- ifneq ($(filter-out iOS ANDROID,$(OS)),)
- $(eval $(call gb_Module_add_targets,extensions,\
- Library_abp \
-- Library_ldapbe2 \
- $(if $(filter WNT,$(OS)),Library_WinUserInfoBe) \
- Library_log \
- Library_scn \
-@@ -28,6 +27,12 @@ $(eval $(call gb_Module_add_targets,extensions,\
- ))
- endif
-
-+ifeq ($(ENABLE_LDAP),TRUE)
-+$(eval $(call gb_Module_add_targets,extensions,\
-+ Library_ldapbe2 \
-+))
-+endif
-+
- ifneq (,$(filter DBCONNECTIVITY,$(BUILD_TYPE)))
- $(eval $(call gb_Module_add_targets,extensions,\
- Library_bib \
-diff --git a/external/postgresql/ExternalProject_postgresql.mk b/external/postgresql/ExternalProject_postgresql.mk
-index f6617e5..fc4342c 100644
---- a/external/postgresql/ExternalProject_postgresql.mk
-+++ b/external/postgresql/ExternalProject_postgresql.mk
-@@ -10,7 +10,7 @@
- $(eval $(call gb_ExternalProject_ExternalProject,postgresql))
-
- $(eval $(call gb_ExternalProject_use_externals,postgresql,\
-- openldap \
-+ $(if $(ENABLE_LDAP),openldap) \
- openssl \
- zlib \
- ))
-@@ -64,9 +64,10 @@ $(call gb_ExternalProject_get_state_target,postgresql,build) :
- $(if $(DISABLE_OPENSSL),,--with-openssl \
- $(if $(WITH_KRB5), --with-krb5) \
- $(if $(WITH_GSSAPI),--with-gssapi)) \
-+ $(if $(ENABLE_LDAP),,--with-ldap=no) \
- CPPFLAGS="$(postgresql_CPPFLAGS)" \
- LDFLAGS="$(postgresql_LDFLAGS)" \
-- EXTRA_LDAP_LIBS="-llber -lssl3 -lsmime3 -lnss3 -lnssutil3 -lplds4 -lplc4 -lnspr4" \
-+ $(if $(ENABLE_LDAP),EXTRA_LDAP_LIBS="-llber -lssl3 -lsmime3 -lnss3 -lnssutil3 -lplds4 -lplc4 -lnspr4") \
- && cd src/interfaces/libpq \
- && MAKEFLAGS= && $(MAKE) all-static-lib)
-
-diff --git a/postprocess/Rdb_services.mk b/postprocess/Rdb_services.mk
-index c70d1ca..342f19b 100644
---- a/postprocess/Rdb_services.mk
-+++ b/postprocess/Rdb_services.mk
-@@ -293,7 +293,7 @@ $(eval $(call gb_Rdb_add_components,services,\
- desktop/source/offacc/offacc \
- $(if $(DISABLE_GUI),,desktop/source/splash/spl) \
- extensions/source/abpilot/abp \
-- extensions/source/config/ldap/ldapbe2 \
-+ $(if $(ENABLE_LDAP),extensions/source/config/ldap/ldapbe2) \
- $(if $(filter WNT,$(OS)),\
- extensions/source/config/WinUserInfo/WinUserInfoBe \
- ) \
---
-cgit v1.1
diff --git a/app-office/libreoffice/files/libreoffice-6.4.2.2-poppler-0.86.patch b/app-office/libreoffice/files/libreoffice-6.4.2.2-poppler-0.86.patch
deleted file mode 100644
index c56ba89..0000000
--- a/app-office/libreoffice/files/libreoffice-6.4.2.2-poppler-0.86.patch
+++ /dev/null
@@ -1,15 +0,0 @@
-diff --git a/sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.cxx b/sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.cxx
-index e9c2a407c279..16ad04bf660a 100644
---- a/sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.cxx
-+++ b/sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.cxx
-@@ -563,7 +563,9 @@ void PDFOutDev::processLink(Link* link, Catalog*)
- if (!(pAction && pAction->getKind() == actionURI))
- return;
-
--#if POPPLER_CHECK_VERSION(0, 72, 0)
-+#if POPPLER_CHECK_VERSION(0, 86, 0)
-+ const char* pURI = static_cast<LinkURI*>(pAction)->getURI().c_str();
-+#elif POPPLER_CHECK_VERSION(0, 72, 0)
- const char* pURI = static_cast<LinkURI*>(pAction)->getURI()->c_str();
- #else
- const char* pURI = static_cast<LinkURI*>(pAction)->getURI()->getCString();
diff --git a/app-office/libreoffice/files/libreoffice-6.4.6.2-llvm-10.patch b/app-office/libreoffice/files/libreoffice-6.4.6.2-llvm-10.patch
new file mode 100644
index 0000000..4a1ff51
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-6.4.6.2-llvm-10.patch
@@ -0,0 +1,102 @@
+From 986bd28388df745dd969e7be7c3bda36b2b2cb0e Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Caol=C3=A1n=20McNamara?= <caolanm@redhat.com>
+Date: Thu, 6 Aug 2020 10:50:47 +0100
+Subject: [PATCH] ofz#24641 libc++abi __cxa_exception has grown another member
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+https: //github.com/llvm/llvm-project/commit/f2a436058fcbc11291e73badb44e243f61046183
+
+this is the same problem as
+
+commit f4b6f6a8ae60bdec53512728d00853b73fa18500
+Author: Stephan Bergmann <sbergman@redhat.com>
+Date: Thu Feb 13 08:40:11 2020 +0100
+
+ Hack to dynamically adapt to __cxa_exceptiom in LLVM 11 libcxxabi
+
+ (where the new change to __cxa_exception effectively reverts the change that
+ prompted 7a9dd3d482deeeb3ed1d50074e56adbd3f928296 "Hack to dynamically adapt to
+ __cxa_exceptiom in LLVM 5.0 libcxxabi")
+
+ Change-Id: Iec4ef1dc188bea2223d99b1b7eb8adec636c98e7
+ Reviewed-on: https://gerrit.libreoffice.org/c/core/+/88583
+ Tested-by: Jenkins
+ Reviewed-by: Stephan Bergmann <sbergman@redhat.com>
+
+so c-n-p that solution here
+
+Change-Id: I4475757a766e3ade7b9fcaf6149e535c9f9a4fa4
+Reviewed-on: https://gerrit.libreoffice.org/c/core/+/100209
+Tested-by: Caolán McNamara <caolanm@redhat.com>
+Reviewed-by: Caolán McNamara <caolanm@redhat.com>
+---
+ .../cpp_uno/gcc3_linux_x86-64/except.cxx | 28 +++++++++++++++++++
+ .../cpp_uno/gcc3_linux_x86-64/share.hxx | 14 ++++++++++
+ 2 files changed, 42 insertions(+)
+
+diff --git a/bridges/source/cpp_uno/gcc3_linux_x86-64/except.cxx b/bridges/source/cpp_uno/gcc3_linux_x86-64/except.cxx
+index e9e861f1c210..25931671f7dc 100644
+--- a/bridges/source/cpp_uno/gcc3_linux_x86-64/except.cxx
++++ b/bridges/source/cpp_uno/gcc3_linux_x86-64/except.cxx
+@@ -150,6 +150,34 @@ void fillUnoException(uno_Any * pUnoExc, uno_Mapping * pCpp2Uno)
+ return;
+ }
+
++#if defined _LIBCPPABI_VERSION // detect libc++abi
++ // Very bad HACK to find out whether we run against a libcxxabi that has a new
++ // __cxa_exception::reserved member at the start, introduced with LLVM 11
++ // <https://github.com/llvm/llvm-project/commit/f2a436058fcbc11291e73badb44e243f61046183>
++ // "[libcxxabi] Insert padding in __cxa_exception struct for compatibility". The layout of the
++ // start of __cxa_exception is
++ //
++ // [8 byte void *reserve]
++ // 8 byte size_t referenceCount
++ //
++ // where the (bad, hacky) assumption is that reserve (if present) is null
++ // (__cxa_allocate_exception in at least LLVM 11 zero-fills the object, and nothing actively
++ // sets reserve) while referenceCount is non-null (__cxa_throw sets it to 1, and
++ // __cxa_decrement_exception_refcount destroys the exception as soon as it drops to 0; for a
++ // __cxa_dependent_exception, the referenceCount member is rather
++ //
++ // 8 byte void* primaryException
++ //
++ // but which also will always be set to a non-null value in __cxa_rethrow_primary_exception).
++ // As described in the definition of __cxa_exception
++ // (bridges/source/cpp_uno/gcc3_linux_x86-64/share.hxx), this hack (together with the "#if 0"
++ // there) can be dropped once we can be sure that we only run against new libcxxabi that has the
++ // reserve member:
++ if (*reinterpret_cast<void **>(header) == nullptr) {
++ header = reinterpret_cast<__cxxabiv1::__cxa_exception*>(reinterpret_cast<void **>(header) + 1);
++ }
++#endif
++
+ std::type_info *exceptionType = __cxxabiv1::__cxa_current_exception_type();
+
+ typelib_TypeDescription * pExcTypeDescr = nullptr;
+diff --git a/bridges/source/cpp_uno/gcc3_linux_x86-64/share.hxx b/bridges/source/cpp_uno/gcc3_linux_x86-64/share.hxx
+index e8afe35c4f59..53c8841fbbcb 100644
+--- a/bridges/source/cpp_uno/gcc3_linux_x86-64/share.hxx
++++ b/bridges/source/cpp_uno/gcc3_linux_x86-64/share.hxx
+@@ -108,6 +108,20 @@ namespace __cxxabiv1 {
+ struct __cxa_exception {
+ #if defined _LIBCPPABI_VERSION // detect libc++abi
+ #if defined __LP64__ || LIBCXXABI_ARM_EHABI
++#if 0
++ // This is a new field added with LLVM 11
++ // <https://github.com/llvm/llvm-project/commit/f2a436058fcbc11291e73badb44e243f61046183>
++ // "[libcxxabi] Insert padding in __cxa_exception struct for compatibility". The HACK in
++ // fillUnoException (bridges/source/cpp_uno/gcc3_linux_x86-64/except.cxx) tries to find out at
++ // runtime whether a __cxa_exception has this member. Once we can be sure that we only run
++ // against new libcxxabi that has this member, we can drop the "#if 0" here and drop the hack
++ // in fillUnoException.
++
++ // Now _Unwind_Exception is marked with __attribute__((aligned)),
++ // which implies __cxa_exception is also aligned. Insert padding
++ // in the beginning of the struct, rather than before unwindHeader.
++ void *reserve;
++#endif
+ std::size_t referenceCount;
+ #endif
+ #endif
diff --git a/app-office/libreoffice/files/libreoffice-6.4.7.2-fix-wrong-setting-for-doc-properties.patch b/app-office/libreoffice/files/libreoffice-6.4.7.2-fix-wrong-setting-for-doc-properties.patch
new file mode 100644
index 0000000..9c9d417
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-6.4.7.2-fix-wrong-setting-for-doc-properties.patch
@@ -0,0 +1,75 @@
+From 188ddcd482150b5fdeb44d97e57831e3e27b3f5b Mon Sep 17 00:00:00 2001
+From: Justin Luth <justin_luth@sil.org>
+Date: Mon, 28 Sep 2020 20:21:52 +0300
+Subject: tdf#136983 partial revert NFC ww8 cleanup: remove unused variables
+
+This is a partial revert of LO 6.2
+commit 2ec0cf500222aef55d02df80154b47fbb92970c9
+
+I can't think of any excuse for how I possibly missed that
+xDocProps was being defined/used outside of this clause.
+Just plain stupid and blind.
+
+The good news is that the create and modified date still
+seem to be getting saved somehow/somewhere. So it isn't
+the disaster that it looks like it could have been.
+
+Reviewed-on: https://gerrit.libreoffice.org/c/core/+/103565
+Tested-by: Jenkins
+Reviewed-by: Justin Luth <justin_luth@sil.org>
+(cherry picked from commit 1086654d6e8cc22f1f99195668db3f305437e570)
+Reviewed-on: https://gerrit.libreoffice.org/c/core/+/104495
+Reviewed-by: Miklos Vajna <vmiklos@collabora.com>
+(cherry picked from commit 19b8ded3ae18dd4070a3e21d7b980782a27e5547)
+
+Change-Id: I72ef56fa50b9e92e4ce687b132b1919cfae6c1f6
+Reviewed-on: https://gerrit.libreoffice.org/c/core/+/104497
+Tested-by: Jenkins
+Reviewed-by: Miklos Vajna <vmiklos@collabora.com>
+---
+ sw/qa/extras/ww8export/ww8export3.cxx | 5 +++++
+ sw/source/filter/ww8/wrtww8.cxx | 6 +++++-
+ 2 files changed, 10 insertions(+), 1 deletion(-)
+
+diff --git a/sw/qa/extras/ww8export/ww8export3.cxx b/sw/qa/extras/ww8export/ww8export3.cxx
+index 764ae66a20fa..9c83b6f62fa9 100644
+--- a/sw/qa/extras/ww8export/ww8export3.cxx
++++ b/sw/qa/extras/ww8export/ww8export3.cxx
+@@ -14,6 +14,7 @@
+ #include <com/sun/star/container/XIndexAccess.hpp>
+ #include <com/sun/star/drawing/FillStyle.hpp>
+ #include <com/sun/star/drawing/LineDash.hpp>
++#include <com/sun/star/document/XDocumentPropertiesSupplier.hpp>
+ #include <com/sun/star/graphic/XGraphic.hpp>
+ #include <com/sun/star/text/XFormField.hpp>
+ #include <com/sun/star/text/XTextTable.hpp>
+@@ -49,6 +50,10 @@ DECLARE_WW8EXPORT_TEST(testTdf37778_readonlySection, "tdf37778_readonlySection.d
+ // tdf#127862: page fill color (in this case white) was lost
+ uno::Reference<beans::XPropertySet> xStyle(getStyles("PageStyles")->getByName("Standard"), uno::UNO_QUERY);
+ CPPUNIT_ASSERT(drawing::FillStyle_NONE != getProperty<drawing::FillStyle>(xStyle, "FillStyle"));
++
++ // tdf#136983
++ uno::Reference<document::XDocumentPropertiesSupplier> xDPS(mxComponent, uno::UNO_QUERY);
++ CPPUNIT_ASSERT_EQUAL_MESSAGE("Last printed date", sal_Int16(2009), xDPS->getDocumentProperties()->getPrintDate().Year);
+ }
+
+ DECLARE_WW8EXPORT_TEST(testTdf122429_header, "tdf122429_header.doc")
+diff --git a/sw/source/filter/ww8/wrtww8.cxx b/sw/source/filter/ww8/wrtww8.cxx
+index e908cab35162..8d4add7b34bf 100644
+--- a/sw/source/filter/ww8/wrtww8.cxx
++++ b/sw/source/filter/ww8/wrtww8.cxx
+@@ -501,7 +501,11 @@ static void WriteDop( WW8Export& rWrt )
+ uno::Reference<beans::XPropertySet> xProps;
+ if ( pDocShell )
+ {
+- xProps.set(pDocShell->GetModel(), uno::UNO_QUERY);
++ uno::Reference<lang::XComponent> xModelComp(pDocShell->GetModel(), uno::UNO_QUERY);
++ xProps.set(xModelComp, uno::UNO_QUERY);
++ uno::Reference<document::XDocumentPropertiesSupplier> xDPS(xModelComp, uno::UNO_QUERY_THROW);
++ xDocProps = xDPS->getDocumentProperties();
++ OSL_ENSURE(xDocProps.is(), "DocumentProperties is null");
+
+ rDop.lKeyProtDoc = pDocShell->GetModifyPasswordHash();
+ }
+--
+cgit v1.2.1
diff --git a/app-office/libreoffice/files/libreoffice-6.4.7.2-icu-68-1.patch b/app-office/libreoffice/files/libreoffice-6.4.7.2-icu-68-1.patch
new file mode 100644
index 0000000..fe20e34
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-6.4.7.2-icu-68-1.patch
@@ -0,0 +1,46 @@
+From 0b14b9ec55fb2a8dd0ec24e1c03702bc4bbf1878 Mon Sep 17 00:00:00 2001
+From: Rene Engelhard <rene@debian.org>
+Date: Sun, 1 Nov 2020 18:30:49 +0100
+Subject: fix build with ICU 68
+
+use standard true.
+
+/home/rene/LibreOffice/git/master/i18npool/source/calendar/calendar_gregorian.cxx: In member function 'virtual void i18npool::Calendar_gregorian::setLocalDateTime(double)':
+/home/rene/LibreOffice/git/master/i18npool/source/calendar/calendar_gregorian.cxx:363:40: error: 'TRUE' was not declared in this scope
+ 363 | body->getTimeZone().getOffset( fR, TRUE, nZoneOffset, nDSTOffset, status );
+ | ^~~~
+
+/usr/include/unicode/umachine.h says:
+
+@deprecated ICU 68 Use standard "true" instead.
+
+Change-Id: I45d2b0afa6a9043767af5c2cf41ba24377f2cdc4
+Reviewed-on: https://gerrit.libreoffice.org/c/core/+/105057
+Tested-by: Jenkins
+Reviewed-by: Eike Rathke <erack@redhat.com>
+---
+ i18npool/source/calendar/calendar_gregorian.cxx | 9 ++++++++-
+ 1 file changed, 8 insertions(+), 1 deletion(-)
+
+diff --git a/i18npool/source/calendar/calendar_gregorian.cxx b/i18npool/source/calendar/calendar_gregorian.cxx
+index b7ae49fbd96e..59ee46fa0e0f 100644
+--- a/i18npool/source/calendar/calendar_gregorian.cxx
++++ b/i18npool/source/calendar/calendar_gregorian.cxx
+@@ -347,7 +347,14 @@ Calendar_gregorian::setLocalDateTime( double fTimeInDays )
+ "Calendar_gregorian::setLocalDateTime: " << std::fixed << fM << " rounded to " << fR);
+ int32_t nZoneOffset, nDSTOffset;
+ UErrorCode status = U_ZERO_ERROR;
+- body->getTimeZone().getOffset( fR, TRUE, nZoneOffset, nDSTOffset, status );
++ body->getTimeZone().getOffset( fR,
++#if U_ICU_VERSION_MAJOR_NUM >= 68
++ true,
++#else
++ TRUE,
++#endif
++ nZoneOffset, nDSTOffset, status );
++
+ if ( !U_SUCCESS(status) ) throw ERROR;
+ status = U_ZERO_ERROR;
+ body->setTime( fR - (nZoneOffset + nDSTOffset), status );
+--
+cgit v1.2.1
diff --git a/app-office/libreoffice/files/libreoffice-6.4.7.2-icu-68-2.patch b/app-office/libreoffice/files/libreoffice-6.4.7.2-icu-68-2.patch
new file mode 100644
index 0000000..bd7dc04
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-6.4.7.2-icu-68-2.patch
@@ -0,0 +1,28 @@
+From 523f8613c124b722b721c8055db2085a005e09dd Mon Sep 17 00:00:00 2001
+From: Andreas Sturmlechner <asturm@gentoo.org>
+Date: Fri, 6 Nov 2020 02:43:07 +0100
+Subject: [PATCH] Fix build with ICU 68, use standard true. (part 2/2 missing
+ from 0b14b9ec)
+
+Change-Id: I776dd4e1fc92ef1ef09b88e239bf0d6942c28ca3
+Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
+---
+ svx/source/dialog/fntctrl.cxx | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/svx/source/dialog/fntctrl.cxx b/svx/source/dialog/fntctrl.cxx
+index d312d7ad5f49..10c84ca95222 100644
+--- a/svx/source/dialog/fntctrl.cxx
++++ b/svx/source/dialog/fntctrl.cxx
+@@ -1014,7 +1014,7 @@ void SvxFontPrevWindow::SetFromItemSet(const SfxItemSet &rSet, bool bPreviewBack
+ rCTLFont.SetFillColor( rColor );
+ }
+ else
+- bTransparent = TRUE;
++ bTransparent = true;
+
+ rFont.SetTransparent( bTransparent );
+ rCJKFont.SetTransparent( bTransparent );
+--
+2.29.2
+
diff --git a/app-office/libreoffice/files/libreoffice-7.0.3.1-qt5detect.patch b/app-office/libreoffice/files/libreoffice-7.0.3.1-qt5detect.patch
new file mode 100644
index 0000000..cc4e8e4
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-7.0.3.1-qt5detect.patch
@@ -0,0 +1,23 @@
+Don't let PATH get in the way of proper Qt5 detection.
+It could lead to broken configure due to mismanaged qtchooser config.
+
+--- a/configure.ac 2020-11-21 16:35:58.433794709 +0100
++++ b/configure.ac 2020-11-21 18:02:41.835207197 +0100
+@@ -11819,7 +11819,7 @@
+ qt5_test_library="libQt5Widgets.so"
+
+ dnl Check for qmake5
+- AC_PATH_PROGS( QMAKE5, [qmake-qt5 qmake], no, [$QT5DIR/bin:$PATH])
++ AC_PATH_PROGS( QMAKE5, [qmake-qt5 qmake], no, [$QT5DIR/bin])
+ if test "$QMAKE5" = "no"; then
+ AC_MSG_ERROR([Qmake not found. Please specify the root of your Qt5 installation by exporting QT5DIR before running "configure".])
+ else
+@@ -11886,7 +11886,7 @@
+
+ dnl Check for Meta Object Compiler
+
+- AC_PATH_PROGS( MOC5, [moc-qt5 moc], no, [`dirname $qt5_libdir`/bin:$QT5DIR/bin:$PATH])
++ AC_PATH_PROGS( MOC5, [moc-qt5 moc], no, [$QT5DIR/bin])
+ if test "$MOC5" = "no"; then
+ AC_MSG_ERROR([Qt Meta Object Compiler not found. Please specify
+ the root of your Qt installation by exporting QT5DIR before running "configure".])
diff --git a/app-office/libreoffice/libreoffice-6.4.3.2.ebuild b/app-office/libreoffice/libreoffice-6.4.3.2.ebuild
deleted file mode 100644
index 253edee..0000000
--- a/app-office/libreoffice/libreoffice-6.4.3.2.ebuild
+++ /dev/null
@@ -1,558 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8} )
-PYTHON_REQ_USE="threads(+),xml"
-
-MY_PV="${PV/_alpha/.alpha}"
-MY_PV="${MY_PV/_beta/.beta}"
-# experimental ; release ; old
-# Usually the tarballs are moved a lot so this should make everyone happy.
-DEV_URI="
- https://dev-builds.libreoffice.org/pre-releases/src
- https://download.documentfoundation.org/libreoffice/src/${MY_PV:0:5}/
- https://downloadarchive.documentfoundation.org/libreoffice/old/${MY_PV}/src
-"
-ADDONS_URI="https://dev-www.libreoffice.org/src/"
-
-BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
-# PATCHSET="${P}-patchset-01.tar.xz"
-
-[[ ${MY_PV} == *9999* ]] && inherit git-r3
-inherit autotools bash-completion-r1 check-reqs flag-o-matic java-pkg-opt-2 multiprocessing python-single-r1 qmake-utils toolchain-funcs xdg-utils
-
-DESCRIPTION="A full office productivity suite"
-HOMEPAGE="https://www.libreoffice.org"
-SRC_URI="branding? ( https://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
-[[ -n ${PATCHSET} ]] && SRC_URI+=" https://dev.gentoo.org/~asturm/distfiles/${PATCHSET}"
-
-# Split modules following git/tarballs; Core MUST be first!
-# Help is used for the image generator
-# Only release has the tarballs
-if [[ ${MY_PV} != *9999* ]]; then
- for i in ${DEV_URI}; do
- SRC_URI+=" ${i}/${PN}-${MY_PV}.tar.xz"
- SRC_URI+=" ${i}/${PN}-help-${MY_PV}.tar.xz"
- done
- unset i
-fi
-unset DEV_URI
-
-# Really required addons
-# These are bundles that can't be removed for now due to huge patchsets.
-# If you want them gone, patches are welcome.
-ADDONS_SRC=(
- # QR code generating library for >=libreoffice-6.4
- "${ADDONS_URI}/QR-Code-generator-1.4.0.tar.gz"
- "java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
- # no release for 8 years, should we package it?
- "libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )"
- # Does not build with 1.6 rhino at all
- "libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )"
- # requirement of rhino
- "libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip )"
- # not packageable
- "odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )"
-)
-SRC_URI+=" ${ADDONS_SRC[*]}"
-
-unset ADDONS_URI
-unset ADDONS_SRC
-
-# Extensions that need extra work:
-LO_EXTS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher"
-
-IUSE="accessibility bluetooth +branding coinmp +cups dbus debug eds firebird
-googledrive gstreamer +gtk kde ldap +mariadb odk pdfimport postgres test
-$(printf 'libreoffice_extensions_%s ' ${LO_EXTS})"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- bluetooth? ( dbus )
- libreoffice_extensions_nlpsolver? ( java )
- libreoffice_extensions_scripting-beanshell? ( java )
- libreoffice_extensions_scripting-javascript? ( java )
- libreoffice_extensions_wiki-publisher? ( java )
-"
-
-RESTRICT="!test? ( test )"
-
-LICENSE="|| ( LGPL-3 MPL-1.1 )"
-SLOT="0"
-
-[[ ${MY_PV} == *9999* ]] || \
-KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
-
-BDEPEND="
- dev-util/intltool
- sys-devel/bison
- sys-devel/flex
- sys-devel/gettext
- virtual/pkgconfig
- odk? ( >=app-doc/doxygen-1.8.4 )
-"
-COMMON_DEPEND="${PYTHON_DEPS}
- app-arch/unzip
- app-arch/zip
- app-crypt/gpgme[cxx]
- app-text/hunspell:=
- >=app-text/libabw-0.1.0
- >=app-text/libebook-0.1
- app-text/libepubgen
- >=app-text/libetonyek-0.1
- app-text/libexttextcat
- app-text/liblangtag
- >=app-text/libmspub-0.1.0
- >=app-text/libmwaw-0.3.1
- app-text/libnumbertext
- >=app-text/libodfgen-0.1.0
- app-text/libqxp
- app-text/libstaroffice
- app-text/libwpd:0.10[tools]
- app-text/libwpg:0.3
- >=app-text/libwps-0.4
- app-text/mythes
- >=dev-cpp/clucene-2.3.3.4-r2
- >=dev-cpp/libcmis-0.5.2
- dev-db/unixODBC
- dev-lang/perl
- >=dev-libs/boost-1.72.0:=[nls]
- dev-libs/expat
- dev-libs/hyphen
- dev-libs/icu:=
- dev-libs/libassuan
- dev-libs/libgpg-error
- >=dev-libs/liborcus-0.15.0
- dev-libs/librevenge
- dev-libs/libxml2
- dev-libs/libxslt
- dev-libs/nspr
- dev-libs/nss
- >=dev-libs/redland-1.0.16
- >=dev-libs/xmlsec-1.2.28[nss]
- media-gfx/fontforge
- media-gfx/graphite2
- media-libs/fontconfig
- media-libs/freetype:2
- >=media-libs/harfbuzz-0.9.42:=[graphite,icu]
- media-libs/lcms:2
- >=media-libs/libcdr-0.1.0
- >=media-libs/libepoxy-1.3.1[X]
- >=media-libs/libfreehand-0.1.0
- media-libs/libpagemaker
- >=media-libs/libpng-1.4:0=
- >=media-libs/libvisio-0.1.0
- media-libs/libzmf
- net-libs/neon
- net-misc/curl
- sci-mathematics/lpsolve
- sys-libs/zlib
- virtual/glu
- virtual/jpeg:0
- virtual/opengl
- x11-libs/cairo[X]
- x11-libs/libXinerama
- x11-libs/libXrandr
- x11-libs/libXrender
- accessibility? (
- $(python_gen_cond_dep 'dev-python/lxml[${PYTHON_MULTI_USEDEP}]')
- )
- bluetooth? (
- dev-libs/glib:2
- net-wireless/bluez
- )
- coinmp? ( sci-libs/coinor-mp )
- cups? ( net-print/cups )
- dbus? ( sys-apps/dbus )
- eds? (
- dev-libs/glib:2
- gnome-base/dconf
- gnome-extra/evolution-data-server
- )
- firebird? ( >=dev-db/firebird-3.0.2.32703.0-r1[server] )
- gstreamer? (
- media-libs/gstreamer:1.0
- media-libs/gst-plugins-base:1.0
- )
- gtk? (
- dev-libs/glib:2
- dev-libs/gobject-introspection
- gnome-base/dconf
- media-libs/mesa[egl]
- x11-libs/gtk+:3
- x11-libs/pango
- )
- kde? (
- dev-qt/qtcore:5
- dev-qt/qtgui:5
- dev-qt/qtwidgets:5
- dev-qt/qtx11extras:5
- kde-frameworks/kconfig:5
- kde-frameworks/kcoreaddons:5
- kde-frameworks/ki18n:5
- kde-frameworks/kio:5
- kde-frameworks/kwindowsystem:5
- )
- ldap? ( net-nds/openldap )
- libreoffice_extensions_scripting-beanshell? ( dev-java/bsh )
- libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
- mariadb? ( dev-db/mariadb-connector-c )
- !mariadb? ( dev-db/mysql-connector-c )
- pdfimport? ( app-text/poppler:=[cxx] )
- postgres? ( >=dev-db/postgresql-9.0:*[kerberos] )
-"
-# FIXME: cppunit should be moved to test conditional
-# after everything upstream is under gbuild
-# as dmake execute tests right away
-# tests apparently also need google-carlito-fonts (not packaged)
-DEPEND="${COMMON_DEPEND}
- >=dev-libs/libatomic_ops-7.2d
- dev-perl/Archive-Zip
- >=dev-util/cppunit-1.14.0
- >=dev-util/gperf-3.1
- dev-util/mdds:1/1.5
- media-libs/glm
- sys-devel/ucpp
- x11-base/xorg-proto
- x11-libs/libXt
- x11-libs/libXtst
- java? (
- dev-java/ant-core
- >=virtual/jdk-1.8
- )
- test? (
- app-crypt/gnupg
- dev-util/cppunit
- media-fonts/dejavu
- media-fonts/liberation-fonts
- )
-"
-RDEPEND="${COMMON_DEPEND}
- !app-office/libreoffice-bin
- !app-office/libreoffice-bin-debug
- !app-office/openoffice
- media-fonts/liberation-fonts
- || ( x11-misc/xdg-utils kde-plasma/kde-cli-tools )
- java? ( >=virtual/jre-1.8 )
- kde? ( kde-frameworks/breeze-icons:* )
-"
-if [[ ${MY_PV} != *9999* ]] && [[ ${PV} != *_* ]]; then
- PDEPEND="=app-office/libreoffice-l10n-$(ver_cut 1-2)*"
-else
- # Translations are not reliable on live ebuilds
- # rather force people to use english only.
- PDEPEND="!app-office/libreoffice-l10n"
-fi
-
-PATCHES=(
- # "${WORKDIR}"/${PATCHSET/.tar.xz/}
-
- # not upstreamable stuff
- "${FILESDIR}/${PN}-5.4-system-pyuno.patch"
- "${FILESDIR}/${PN}-5.3.4.2-kioclient5.patch"
- "${FILESDIR}/${PN}-6.1-nomancompress.patch"
-
- # git master
- "${FILESDIR}/${P}-boost-1.73.patch" # bug 721806
-
- # TODO: upstream (for now taken from Arch Linux)
- "${FILESDIR}/${PN}-6.4.2.2-poppler-0.86.patch" # bug 711102
-
- # musl compatibility by AlpineLinux
- "${FILESDIR}/${PN}-6.4.4.2-linux-musl.patch"
- "${FILESDIR}/${PN}-6.1.4.2-musl-fix-execinfo.patch"
- "${FILESDIR}/${PN}-6.1.4.2-disable-liborcus-unittest.patch"
- "${FILESDIR}/${PN}-6.1.4.2-musl-stacksize.patch"
-)
-
-S="${WORKDIR}/${PN}-${MY_PV}"
-
-_check_reqs() {
- CHECKREQS_MEMORY="512M"
- if is-flagq "-g*" && ! is-flagq "-g*0" ; then
- CHECKREQS_DISK_BUILD="22G"
- else
- CHECKREQS_DISK_BUILD="6G"
- fi
- check-reqs_$1
-}
-
-pkg_pretend() {
- if ! use java && ! use firebird; then
- ewarn "If you plan to use Base application you must enable either firebird or java."
- fi
-
- use java || ewarn "Without java, several wizards are not going to be available."
-
- [[ ${MERGE_TYPE} != binary ]] && _check_reqs pkg_pretend
-}
-
-pkg_setup() {
- java-pkg-opt-2_pkg_setup
- python-single-r1_pkg_setup
- xdg_environment_reset
-
- [[ ${MERGE_TYPE} != binary ]] && _check_reqs pkg_setup
-}
-
-src_unpack() {
- default
-
- if [[ ${MY_PV} = *9999* ]]; then
- local base_uri branch mypv
- base_uri="https://anongit.freedesktop.org/git"
- branch="master"
- mypv=${MY_PV/.9999}
- [[ ${mypv} != ${MY_PV} ]] && branch="${PN}-${mypv/./-}"
- git-r3_fetch "${base_uri}/${PN}/core" "refs/heads/${branch}"
- git-r3_checkout "${base_uri}/${PN}/core"
- LOCOREGIT_VERSION=${EGIT_VERSION}
-
- git-r3_fetch "${base_uri}/${PN}/help" "refs/heads/master"
- git-r3_checkout "${base_uri}/${PN}/help" "helpcontent2" # doesn't match on help
- fi
-}
-
-src_prepare() {
- default
-
- # sandbox violations on many systems, we don't need it. Bug #646406
- sed -i \
- -e "/KF5_CONFIG/s/kf5-config/no/" \
- configure.ac || die "Failed to disable kf5-config"
-
- AT_M4DIR="m4" eautoreconf
- # hack in the autogen.sh
- touch autogen.lastrun
-
- # system pyuno mess
- sed -i \
- -e "s:%eprefix%:${EPREFIX}:g" \
- -e "s:%libdir%:$(get_libdir):g" \
- pyuno/source/module/uno.py \
- pyuno/source/officehelper.py || die
- # sed in the tests
- sed -i \
- -e "s#all : build unitcheck#all : build#g" \
- solenv/gbuild/Module.mk || die
- sed -i \
- -e "s#check: dev-install subsequentcheck#check: unitcheck slowcheck dev-install subsequentcheck#g" \
- -e "s#Makefile.gbuild all slowcheck#Makefile.gbuild all#g" \
- Makefile.in || die
-
- sed -i \
- -e "s,/usr/share/bash-completion/completions,$(get_bashcompdir)," \
- -e "s,\$INSTALLDIRNAME.sh,${PN}," \
- bin/distro-install-desktop-integration || die
-
- if use branding; then
- # hack...
- mv -v "${WORKDIR}/branding-intro.png" "icon-themes/colibre/brand/intro.png" || die
- fi
-
- # Don't list pdfimport support in desktop when built with none, bug # 605464
- if ! use pdfimport; then
- sed -i \
- -e ":MimeType: s:application/pdf;::" \
- -e ":Keywords: s:pdf;::" \
- sysui/desktop/menus/draw.desktop || die
- fi
-}
-
-src_configure() {
- # Set up Google API keys, see https://www.chromium.org/developers/how-tos/api-keys
- # Note: these are for Gentoo use ONLY. For your own distribution, please get
- # your own set of keys. Feel free to contact chromium@gentoo.org for more info.
- local google_default_client_id="329227923882.apps.googleusercontent.com"
- local google_default_client_secret="vgKG0NNv7GoDpbtoFNLxCUXu"
-
- # optimization flags
- export GMAKE_OPTIONS="${MAKEOPTS}"
- # System python enablement:
- export PYTHON_CFLAGS=$(python_get_CFLAGS)
- export PYTHON_LIBS=$(python_get_LIBS)
-
- if use kde; then
- export QT_SELECT=5 # bug 639620 needs proper fix though
- export QT5DIR="$(qt5_get_bindir)/../"
- export MOC5="$(qt5_get_bindir)/moc"
- fi
-
- local gentoo_buildid="Gentoo official package"
- if [[ -n ${LOCOREGIT_VERSION} ]]; then
- gentoo_buildid+=" (from git: ${LOCOREGIT_VERSION})"
- fi
-
- # system headers/libs/...: enforce using system packages
- # --disable-breakpad: requires not-yet-in-tree dev-utils/breakpad
- # --enable-cairo: ensure that cairo is always required
- # --enable-*-link: link to the library rather than just dlopen on runtime
- # --enable-release-build: build the libreoffice as release
- # --disable-fetch-external: prevent dowloading during compile phase
- # --enable-extension-integration: enable any extension integration support
- # --without-{fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
- # --disable-report-builder: too much java packages pulled in without pkgs
- # --without-system-sane: just sane.h header that is used for scan in writer,
- # not linked or anything else, worthless to depend on
- # --disable-pdfium: not yet packaged
- # --without-system-qrencode: has no real build system and LO is the only user
- local myeconfargs=(
- --with-system-dicts
- --with-system-epoxy
- --with-system-headers
- --with-system-jars
- --with-system-libs
- --enable-build-opensymbol
- --enable-cairo-canvas
- --enable-largefile
- --enable-mergelibs
- --enable-neon
- --enable-python=system
- --enable-randr
- --enable-release-build
- --disable-breakpad
- --disable-bundle-mariadb
- --disable-ccache
- --disable-dependency-tracking
- --disable-epm
- --disable-fetch-external
- --disable-gtk3-kde5
- --disable-online-update
- --disable-openssl
- --disable-pdfium
- --disable-report-builder
- --disable-vlc
- --with-build-version="${gentoo_buildid}"
- --enable-extension-integration
- --with-external-dict-dir="${EPREFIX}/usr/share/myspell"
- --with-external-hyph-dir="${EPREFIX}/usr/share/myspell"
- --with-external-thes-dir="${EPREFIX}/usr/share/myspell"
- --with-external-tar="${DISTDIR}"
- --with-lang=""
- --with-parallelism=$(makeopts_jobs)
- --with-system-ucpp
- --with-tls=nss
- --with-vendor="Gentoo Foundation"
- --with-x
- --without-fonts
- --without-myspell-dicts
- --with-help="html"
- --without-helppack-integration
- --with-system-gpgmepp
- --without-system-sane
- --without-system-qrcodegen
- $(use_enable bluetooth sdremote-bluetooth)
- $(use_enable coinmp)
- $(use_enable cups)
- $(use_enable dbus)
- $(use_enable debug)
- $(use_enable eds evolution2)
- $(use_enable firebird firebird-sdbc)
- $(use_enable gstreamer gstreamer-1-0)
- $(use_enable gtk gtk3)
- $(use_enable kde kf5)
- $(use_enable kde qt5)
- $(use_enable ldap)
- $(use_enable odk)
- $(use_enable pdfimport)
- $(use_enable postgres postgresql-sdbc)
- $(use_with accessibility lxml)
- $(use_with coinmp system-coinmp)
- $(use_with googledrive gdrive-client-id ${google_default_client_id})
- $(use_with googledrive gdrive-client-secret ${google_default_client_secret})
- $(use_with java)
- $(use_with odk doxygen)
- )
-
- if use eds || use gtk; then
- myeconfargs+=( --enable-dconf --enable-gio )
- else
- myeconfargs+=( --disable-dconf --disable-gio )
- fi
-
- # libreoffice extensions handling
- for lo_xt in ${LO_EXTS}; do
- if [[ "${lo_xt}" == "scripting-beanshell" || "${lo_xt}" == "scripting-javascript" ]]; then
- myeconfargs+=( $(use_enable libreoffice_extensions_${lo_xt} ${lo_xt}) )
- else
- myeconfargs+=( $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt}) )
- fi
- done
-
- if use java; then
- # hsqldb: system one is too new
- myeconfargs+=(
- --without-junit
- --without-system-hsqldb
- --with-ant-home="${ANT_HOME}"
- --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
- --with-jvm-path="${EPREFIX}/usr/lib/"
- )
-
- use libreoffice_extensions_scripting-beanshell && \
- myeconfargs+=( --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar) )
-
- use libreoffice_extensions_scripting-javascript && \
- myeconfargs+=( --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar) )
- fi
-
- is-flagq "-flto*" && myeconfargs+=( --enable-lto )
-
- MARIADBCONFIG="$(type -p $(usex mariadb mariadb mysql)_config)" \
- econf "${myeconfargs[@]}"
-}
-
-src_compile() {
- # more and more LO stuff tries to use OpenGL, including tests during build
- # bug 501508, bug 540624, bug 545974 and probably more
- addpredict /dev/dri
- addpredict /dev/ati
- addpredict /dev/nvidiactl
-
- local target
- use test && target="build" || target="build-nocheck"
-
- # this is not a proper make script
- make ${target} || die
-}
-
-src_test() {
- make unitcheck || die
- make slowcheck || die
-}
-
-src_install() {
- # This is not Makefile so no buildserver
- emake DESTDIR="${D}" distro-pack-install -o build -o check
-
- # bug 593514
- if use gtk; then
- dosym libreoffice/program/liblibreofficekitgtk.so \
- /usr/$(get_libdir)/liblibreofficekitgtk.so
- fi
-
- # bash completion aliases
- bashcomp_alias \
- libreoffice \
- unopkg loimpress lobase localc lodraw lomath lowriter lofromtemplate loweb loffice
-
- if use branding; then
- insinto /usr/$(get_libdir)/${PN}/program
- newins "${WORKDIR}/branding-sofficerc" sofficerc
- dodir /etc/env.d
- echo "CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" > "${ED}"/etc/env.d/99${PN} || die
- fi
-}
-
-pkg_postinst() {
- xdg_icon_cache_update
- xdg_desktop_database_update
- xdg_mimeinfo_database_update
-}
-
-pkg_postrm() {
- xdg_icon_cache_update
- xdg_desktop_database_update
- xdg_mimeinfo_database_update
-}
diff --git a/app-office/libreoffice/libreoffice-6.4.4.2.ebuild b/app-office/libreoffice/libreoffice-6.4.4.2.ebuild
deleted file mode 100644
index 955acac..0000000
--- a/app-office/libreoffice/libreoffice-6.4.4.2.ebuild
+++ /dev/null
@@ -1,559 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8} )
-PYTHON_REQ_USE="threads(+),xml"
-
-MY_PV="${PV/_alpha/.alpha}"
-MY_PV="${MY_PV/_beta/.beta}"
-# experimental ; release ; old
-# Usually the tarballs are moved a lot so this should make everyone happy.
-DEV_URI="
- https://dev-builds.libreoffice.org/pre-releases/src
- https://download.documentfoundation.org/libreoffice/src/${MY_PV:0:5}/
- https://downloadarchive.documentfoundation.org/libreoffice/old/${MY_PV}/src
-"
-ADDONS_URI="https://dev-www.libreoffice.org/src/"
-
-BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
-# PATCHSET="${P}-patchset-01.tar.xz"
-
-[[ ${MY_PV} == *9999* ]] && inherit git-r3
-inherit autotools bash-completion-r1 check-reqs flag-o-matic java-pkg-opt-2 multiprocessing python-single-r1 qmake-utils toolchain-funcs xdg-utils
-
-DESCRIPTION="A full office productivity suite"
-HOMEPAGE="https://www.libreoffice.org"
-SRC_URI="branding? ( https://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
-[[ -n ${PATCHSET} ]] && SRC_URI+=" https://dev.gentoo.org/~asturm/distfiles/${PATCHSET}"
-
-# Split modules following git/tarballs; Core MUST be first!
-# Help is used for the image generator
-# Only release has the tarballs
-if [[ ${MY_PV} != *9999* ]]; then
- for i in ${DEV_URI}; do
- SRC_URI+=" ${i}/${PN}-${MY_PV}.tar.xz"
- SRC_URI+=" ${i}/${PN}-help-${MY_PV}.tar.xz"
- done
- unset i
-fi
-unset DEV_URI
-
-# Really required addons
-# These are bundles that can't be removed for now due to huge patchsets.
-# If you want them gone, patches are welcome.
-ADDONS_SRC=(
- # QR code generating library for >=libreoffice-6.4
- "${ADDONS_URI}/QR-Code-generator-1.4.0.tar.gz"
- "java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
- # no release for 8 years, should we package it?
- "libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )"
- # Does not build with 1.6 rhino at all
- "libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )"
- # requirement of rhino
- "libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip )"
- # not packageable
- "odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )"
-)
-SRC_URI+=" ${ADDONS_SRC[*]}"
-
-unset ADDONS_URI
-unset ADDONS_SRC
-
-# Extensions that need extra work:
-LO_EXTS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher"
-
-IUSE="accessibility bluetooth +branding coinmp +cups +dbus debug eds firebird
-googledrive gstreamer +gtk kde ldap +mariadb odk pdfimport postgres test
-$(printf 'libreoffice_extensions_%s ' ${LO_EXTS})"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- bluetooth? ( dbus )
- gtk? ( dbus )
- libreoffice_extensions_nlpsolver? ( java )
- libreoffice_extensions_scripting-beanshell? ( java )
- libreoffice_extensions_scripting-javascript? ( java )
- libreoffice_extensions_wiki-publisher? ( java )
-"
-
-RESTRICT="!test? ( test )"
-
-LICENSE="|| ( LGPL-3 MPL-1.1 )"
-SLOT="0"
-
-[[ ${MY_PV} == *9999* ]] || \
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
-
-BDEPEND="
- dev-util/intltool
- sys-devel/bison
- sys-devel/flex
- sys-devel/gettext
- virtual/pkgconfig
- odk? ( >=app-doc/doxygen-1.8.4 )
-"
-COMMON_DEPEND="${PYTHON_DEPS}
- app-arch/unzip
- app-arch/zip
- app-crypt/gpgme[cxx]
- app-text/hunspell:=
- >=app-text/libabw-0.1.0
- >=app-text/libebook-0.1
- app-text/libepubgen
- >=app-text/libetonyek-0.1
- app-text/libexttextcat
- app-text/liblangtag
- >=app-text/libmspub-0.1.0
- >=app-text/libmwaw-0.3.1
- app-text/libnumbertext
- >=app-text/libodfgen-0.1.0
- app-text/libqxp
- app-text/libstaroffice
- app-text/libwpd:0.10[tools]
- app-text/libwpg:0.3
- >=app-text/libwps-0.4
- app-text/mythes
- >=dev-cpp/clucene-2.3.3.4-r2
- >=dev-cpp/libcmis-0.5.2
- dev-db/unixODBC
- dev-lang/perl
- >=dev-libs/boost-1.72.0:=[nls]
- dev-libs/expat
- dev-libs/hyphen
- dev-libs/icu:=
- dev-libs/libassuan
- dev-libs/libgpg-error
- >=dev-libs/liborcus-0.15.0
- dev-libs/librevenge
- dev-libs/libxml2
- dev-libs/libxslt
- dev-libs/nspr
- dev-libs/nss
- >=dev-libs/redland-1.0.16
- >=dev-libs/xmlsec-1.2.28[nss]
- media-gfx/fontforge
- media-gfx/graphite2
- media-libs/fontconfig
- media-libs/freetype:2
- >=media-libs/harfbuzz-0.9.42:=[graphite,icu]
- media-libs/lcms:2
- >=media-libs/libcdr-0.1.0
- >=media-libs/libepoxy-1.3.1[X]
- >=media-libs/libfreehand-0.1.0
- media-libs/libpagemaker
- >=media-libs/libpng-1.4:0=
- >=media-libs/libvisio-0.1.0
- media-libs/libzmf
- net-libs/neon
- net-misc/curl
- sci-mathematics/lpsolve
- sys-libs/zlib
- virtual/glu
- virtual/jpeg:0
- virtual/opengl
- x11-libs/cairo[X]
- x11-libs/libXinerama
- x11-libs/libXrandr
- x11-libs/libXrender
- accessibility? (
- $(python_gen_cond_dep 'dev-python/lxml[${PYTHON_MULTI_USEDEP}]')
- )
- bluetooth? (
- dev-libs/glib:2
- net-wireless/bluez
- )
- coinmp? ( sci-libs/coinor-mp )
- cups? ( net-print/cups )
- dbus? ( sys-apps/dbus[X] )
- eds? (
- dev-libs/glib:2
- gnome-base/dconf
- gnome-extra/evolution-data-server
- )
- firebird? ( >=dev-db/firebird-3.0.2.32703.0-r1[server] )
- gstreamer? (
- media-libs/gstreamer:1.0
- media-libs/gst-plugins-base:1.0
- )
- gtk? (
- dev-libs/glib:2
- dev-libs/gobject-introspection
- gnome-base/dconf
- media-libs/mesa[egl]
- x11-libs/gtk+:3
- x11-libs/pango
- )
- kde? (
- dev-qt/qtcore:5
- dev-qt/qtgui:5
- dev-qt/qtwidgets:5
- dev-qt/qtx11extras:5
- kde-frameworks/kconfig:5
- kde-frameworks/kcoreaddons:5
- kde-frameworks/ki18n:5
- kde-frameworks/kio:5
- kde-frameworks/kwindowsystem:5
- )
- ldap? ( net-nds/openldap )
- libreoffice_extensions_scripting-beanshell? ( dev-java/bsh )
- libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
- mariadb? ( dev-db/mariadb-connector-c )
- !mariadb? ( dev-db/mysql-connector-c )
- pdfimport? ( app-text/poppler:=[cxx] )
- postgres? ( >=dev-db/postgresql-9.0:*[kerberos] )
-"
-# FIXME: cppunit should be moved to test conditional
-# after everything upstream is under gbuild
-# as dmake execute tests right away
-# tests apparently also need google-carlito-fonts (not packaged)
-DEPEND="${COMMON_DEPEND}
- >=dev-libs/libatomic_ops-7.2d
- dev-perl/Archive-Zip
- >=dev-util/cppunit-1.14.0
- >=dev-util/gperf-3.1
- dev-util/mdds:1/1.5
- media-libs/glm
- sys-devel/ucpp
- x11-base/xorg-proto
- x11-libs/libXt
- x11-libs/libXtst
- java? (
- dev-java/ant-core
- >=virtual/jdk-1.8
- )
- test? (
- app-crypt/gnupg
- dev-util/cppunit
- media-fonts/dejavu
- media-fonts/liberation-fonts
- )
-"
-RDEPEND="${COMMON_DEPEND}
- !app-office/libreoffice-bin
- !app-office/libreoffice-bin-debug
- !app-office/openoffice
- media-fonts/liberation-fonts
- || ( x11-misc/xdg-utils kde-plasma/kde-cli-tools )
- java? ( >=virtual/jre-1.8 )
- kde? ( kde-frameworks/breeze-icons:* )
-"
-if [[ ${MY_PV} != *9999* ]] && [[ ${PV} != *_* ]]; then
- PDEPEND="=app-office/libreoffice-l10n-$(ver_cut 1-2)*"
-else
- # Translations are not reliable on live ebuilds
- # rather force people to use english only.
- PDEPEND="!app-office/libreoffice-l10n"
-fi
-
-PATCHES=(
- # "${WORKDIR}"/${PATCHSET/.tar.xz/}
-
- # not upstreamable stuff
- "${FILESDIR}/${PN}-5.4-system-pyuno.patch"
- "${FILESDIR}/${PN}-5.3.4.2-kioclient5.patch"
- "${FILESDIR}/${PN}-6.1-nomancompress.patch"
-
- # git master
- "${FILESDIR}/${PN}-6.4.3.2-boost-1.73.patch" # bug 721806
-
- # TODO: upstream (for now taken from Arch Linux)
- "${FILESDIR}/${PN}-6.4.2.2-poppler-0.86.patch" # bug 711102
-
- # musl compatibility by AlpineLinux
- "${FILESDIR}/${PN}-6.4.4.2-linux-musl.patch"
- "${FILESDIR}/${PN}-6.1.4.2-musl-fix-execinfo.patch"
- "${FILESDIR}/${PN}-6.1.4.2-disable-liborcus-unittest.patch"
- "${FILESDIR}/${PN}-6.1.4.2-musl-stacksize.patch"
-)
-
-S="${WORKDIR}/${PN}-${MY_PV}"
-
-_check_reqs() {
- CHECKREQS_MEMORY="512M"
- if is-flagq "-g*" && ! is-flagq "-g*0" ; then
- CHECKREQS_DISK_BUILD="22G"
- else
- CHECKREQS_DISK_BUILD="6G"
- fi
- check-reqs_$1
-}
-
-pkg_pretend() {
- if ! use java && ! use firebird; then
- ewarn "If you plan to use Base application you must enable either firebird or java."
- fi
-
- use java || ewarn "Without java, several wizards are not going to be available."
-
- [[ ${MERGE_TYPE} != binary ]] && _check_reqs pkg_pretend
-}
-
-pkg_setup() {
- java-pkg-opt-2_pkg_setup
- python-single-r1_pkg_setup
- xdg_environment_reset
-
- [[ ${MERGE_TYPE} != binary ]] && _check_reqs pkg_setup
-}
-
-src_unpack() {
- default
-
- if [[ ${MY_PV} = *9999* ]]; then
- local base_uri branch mypv
- base_uri="https://anongit.freedesktop.org/git"
- branch="master"
- mypv=${MY_PV/.9999}
- [[ ${mypv} != ${MY_PV} ]] && branch="${PN}-${mypv/./-}"
- git-r3_fetch "${base_uri}/${PN}/core" "refs/heads/${branch}"
- git-r3_checkout "${base_uri}/${PN}/core"
- LOCOREGIT_VERSION=${EGIT_VERSION}
-
- git-r3_fetch "${base_uri}/${PN}/help" "refs/heads/master"
- git-r3_checkout "${base_uri}/${PN}/help" "helpcontent2" # doesn't match on help
- fi
-}
-
-src_prepare() {
- default
-
- # sandbox violations on many systems, we don't need it. Bug #646406
- sed -i \
- -e "/KF5_CONFIG/s/kf5-config/no/" \
- configure.ac || die "Failed to disable kf5-config"
-
- AT_M4DIR="m4" eautoreconf
- # hack in the autogen.sh
- touch autogen.lastrun
-
- # system pyuno mess
- sed -i \
- -e "s:%eprefix%:${EPREFIX}:g" \
- -e "s:%libdir%:$(get_libdir):g" \
- pyuno/source/module/uno.py \
- pyuno/source/officehelper.py || die
- # sed in the tests
- sed -i \
- -e "s#all : build unitcheck#all : build#g" \
- solenv/gbuild/Module.mk || die
- sed -i \
- -e "s#check: dev-install subsequentcheck#check: unitcheck slowcheck dev-install subsequentcheck#g" \
- -e "s#Makefile.gbuild all slowcheck#Makefile.gbuild all#g" \
- Makefile.in || die
-
- sed -i \
- -e "s,/usr/share/bash-completion/completions,$(get_bashcompdir)," \
- -e "s,\$INSTALLDIRNAME.sh,${PN}," \
- bin/distro-install-desktop-integration || die
-
- if use branding; then
- # hack...
- mv -v "${WORKDIR}/branding-intro.png" "icon-themes/colibre/brand/intro.png" || die
- fi
-
- # Don't list pdfimport support in desktop when built with none, bug # 605464
- if ! use pdfimport; then
- sed -i \
- -e ":MimeType: s:application/pdf;::" \
- -e ":Keywords: s:pdf;::" \
- sysui/desktop/menus/draw.desktop || die
- fi
-}
-
-src_configure() {
- # Set up Google API keys, see https://www.chromium.org/developers/how-tos/api-keys
- # Note: these are for Gentoo use ONLY. For your own distribution, please get
- # your own set of keys. Feel free to contact chromium@gentoo.org for more info.
- local google_default_client_id="329227923882.apps.googleusercontent.com"
- local google_default_client_secret="vgKG0NNv7GoDpbtoFNLxCUXu"
-
- # optimization flags
- export GMAKE_OPTIONS="${MAKEOPTS}"
- # System python enablement:
- export PYTHON_CFLAGS=$(python_get_CFLAGS)
- export PYTHON_LIBS=$(python_get_LIBS)
-
- if use kde; then
- export QT_SELECT=5 # bug 639620 needs proper fix though
- export QT5DIR="$(qt5_get_bindir)/../"
- export MOC5="$(qt5_get_bindir)/moc"
- fi
-
- local gentoo_buildid="Gentoo official package"
- if [[ -n ${LOCOREGIT_VERSION} ]]; then
- gentoo_buildid+=" (from git: ${LOCOREGIT_VERSION})"
- fi
-
- # system headers/libs/...: enforce using system packages
- # --disable-breakpad: requires not-yet-in-tree dev-utils/breakpad
- # --enable-cairo: ensure that cairo is always required
- # --enable-*-link: link to the library rather than just dlopen on runtime
- # --enable-release-build: build the libreoffice as release
- # --disable-fetch-external: prevent dowloading during compile phase
- # --enable-extension-integration: enable any extension integration support
- # --without-{fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
- # --disable-report-builder: too much java packages pulled in without pkgs
- # --without-system-sane: just sane.h header that is used for scan in writer,
- # not linked or anything else, worthless to depend on
- # --disable-pdfium: not yet packaged
- # --without-system-qrencode: has no real build system and LO is the only user
- local myeconfargs=(
- --with-system-dicts
- --with-system-epoxy
- --with-system-headers
- --with-system-jars
- --with-system-libs
- --enable-build-opensymbol
- --enable-cairo-canvas
- --enable-largefile
- --enable-mergelibs
- --enable-neon
- --enable-python=system
- --enable-randr
- --enable-release-build
- --disable-breakpad
- --disable-bundle-mariadb
- --disable-ccache
- --disable-dependency-tracking
- --disable-epm
- --disable-fetch-external
- --disable-gtk3-kde5
- --disable-online-update
- --disable-openssl
- --disable-pdfium
- --disable-report-builder
- --disable-vlc
- --with-build-version="${gentoo_buildid}"
- --enable-extension-integration
- --with-external-dict-dir="${EPREFIX}/usr/share/myspell"
- --with-external-hyph-dir="${EPREFIX}/usr/share/myspell"
- --with-external-thes-dir="${EPREFIX}/usr/share/myspell"
- --with-external-tar="${DISTDIR}"
- --with-lang=""
- --with-parallelism=$(makeopts_jobs)
- --with-system-ucpp
- --with-tls=nss
- --with-vendor="Gentoo Foundation"
- --with-x
- --without-fonts
- --without-myspell-dicts
- --with-help="html"
- --without-helppack-integration
- --with-system-gpgmepp
- --without-system-sane
- --without-system-qrcodegen
- $(use_enable bluetooth sdremote-bluetooth)
- $(use_enable coinmp)
- $(use_enable cups)
- $(use_enable dbus)
- $(use_enable debug)
- $(use_enable eds evolution2)
- $(use_enable firebird firebird-sdbc)
- $(use_enable gstreamer gstreamer-1-0)
- $(use_enable gtk gtk3)
- $(use_enable kde kf5)
- $(use_enable kde qt5)
- $(use_enable ldap)
- $(use_enable odk)
- $(use_enable pdfimport)
- $(use_enable postgres postgresql-sdbc)
- $(use_with accessibility lxml)
- $(use_with coinmp system-coinmp)
- $(use_with googledrive gdrive-client-id ${google_default_client_id})
- $(use_with googledrive gdrive-client-secret ${google_default_client_secret})
- $(use_with java)
- $(use_with odk doxygen)
- )
-
- if use eds || use gtk; then
- myeconfargs+=( --enable-dconf --enable-gio )
- else
- myeconfargs+=( --disable-dconf --disable-gio )
- fi
-
- # libreoffice extensions handling
- for lo_xt in ${LO_EXTS}; do
- if [[ "${lo_xt}" == "scripting-beanshell" || "${lo_xt}" == "scripting-javascript" ]]; then
- myeconfargs+=( $(use_enable libreoffice_extensions_${lo_xt} ${lo_xt}) )
- else
- myeconfargs+=( $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt}) )
- fi
- done
-
- if use java; then
- # hsqldb: system one is too new
- myeconfargs+=(
- --without-junit
- --without-system-hsqldb
- --with-ant-home="${ANT_HOME}"
- --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
- --with-jvm-path="${EPREFIX}/usr/lib/"
- )
-
- use libreoffice_extensions_scripting-beanshell && \
- myeconfargs+=( --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar) )
-
- use libreoffice_extensions_scripting-javascript && \
- myeconfargs+=( --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar) )
- fi
-
- is-flagq "-flto*" && myeconfargs+=( --enable-lto )
-
- MARIADBCONFIG="$(type -p $(usex mariadb mariadb mysql)_config)" \
- econf "${myeconfargs[@]}"
-}
-
-src_compile() {
- # more and more LO stuff tries to use OpenGL, including tests during build
- # bug 501508, bug 540624, bug 545974 and probably more
- addpredict /dev/dri
- addpredict /dev/ati
- addpredict /dev/nvidiactl
-
- local target
- use test && target="build" || target="build-nocheck"
-
- # this is not a proper make script
- make ${target} || die
-}
-
-src_test() {
- make unitcheck || die
- make slowcheck || die
-}
-
-src_install() {
- # This is not Makefile so no buildserver
- emake DESTDIR="${D}" distro-pack-install -o build -o check
-
- # bug 593514
- if use gtk; then
- dosym libreoffice/program/liblibreofficekitgtk.so \
- /usr/$(get_libdir)/liblibreofficekitgtk.so
- fi
-
- # bash completion aliases
- bashcomp_alias \
- libreoffice \
- unopkg loimpress lobase localc lodraw lomath lowriter lofromtemplate loweb loffice
-
- if use branding; then
- insinto /usr/$(get_libdir)/${PN}/program
- newins "${WORKDIR}/branding-sofficerc" sofficerc
- dodir /etc/env.d
- echo "CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" > "${ED}"/etc/env.d/99${PN} || die
- fi
-}
-
-pkg_postinst() {
- xdg_icon_cache_update
- xdg_desktop_database_update
- xdg_mimeinfo_database_update
-}
-
-pkg_postrm() {
- xdg_icon_cache_update
- xdg_desktop_database_update
- xdg_mimeinfo_database_update
-}
diff --git a/app-office/libreoffice/libreoffice-6.4.5.2.ebuild b/app-office/libreoffice/libreoffice-6.4.7.2.ebuild
index e2dc490..a8bbf9f 100644
--- a/app-office/libreoffice/libreoffice-6.4.5.2.ebuild
+++ b/app-office/libreoffice/libreoffice-6.4.7.2.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
PYTHON_REQ_USE="threads(+),xml"
MY_PV="${PV/_alpha/.alpha}"
@@ -98,7 +98,7 @@ LICENSE="|| ( LGPL-3 MPL-1.1 )"
SLOT="0"
[[ ${MY_PV} == *9999* ]] || \
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
BDEPEND="
dev-util/intltool
@@ -139,7 +139,7 @@ COMMON_DEPEND="${PYTHON_DEPS}
dev-libs/icu:=
dev-libs/libassuan
dev-libs/libgpg-error
- >=dev-libs/liborcus-0.15.0
+ dev-libs/liborcus:0/0.15
dev-libs/librevenge
dev-libs/libxml2
dev-libs/libxslt
@@ -215,7 +215,7 @@ COMMON_DEPEND="${PYTHON_DEPS}
libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
mariadb? ( dev-db/mariadb-connector-c )
!mariadb? ( dev-db/mysql-connector-c )
- pdfimport? ( app-text/noppler:=[cxx] )
+ pdfimport? ( app-text/poppler:=[cxx] )
postgres? ( >=dev-db/postgresql-9.0:*[kerberos] )
"
# FIXME: cppunit should be moved to test conditional
@@ -265,12 +265,17 @@ PATCHES=(
# "${WORKDIR}"/${PATCHSET/.tar.xz/}
# not upstreamable stuff
- "${FILESDIR}/${PN}-5.4-system-pyuno.patch"
"${FILESDIR}/${PN}-5.3.4.2-kioclient5.patch"
"${FILESDIR}/${PN}-6.1-nomancompress.patch"
+ "${FILESDIR}/${PN}-7.0.3.1-qt5detect.patch"
+
+ # 6.4 branch (fixed in 6.4.8)
+ "${FILESDIR}/${P}-fix-wrong-setting-for-doc-properties.patch"
# git master
"${FILESDIR}/${PN}-6.4.3.2-boost-1.73.patch" # bug 721806
+ "${FILESDIR}/${PN}-6.4.6.2-llvm-10.patch" # bug 713574
+ "${FILESDIR}"/${P}-icu-68-{1,2}.patch # bug 752021, +downstream backport
# musl compatibility by AlpineLinux
"${FILESDIR}/${PN}-6.4.4.2-linux-musl.patch"
@@ -338,12 +343,6 @@ src_prepare() {
# hack in the autogen.sh
touch autogen.lastrun
- # system pyuno mess
- sed -i \
- -e "s:%eprefix%:${EPREFIX}:g" \
- -e "s:%libdir%:$(get_libdir):g" \
- pyuno/source/module/uno.py \
- pyuno/source/officehelper.py || die
# sed in the tests
sed -i \
-e "s#all : build unitcheck#all : build#g" \
@@ -385,11 +384,7 @@ src_configure() {
export PYTHON_CFLAGS=$(python_get_CFLAGS)
export PYTHON_LIBS=$(python_get_LIBS)
- if use kde; then
- export QT_SELECT=5 # bug 639620 needs proper fix though
- export QT5DIR="$(qt5_get_bindir)/../"
- export MOC5="$(qt5_get_bindir)/moc"
- fi
+ use kde && export QT5DIR="$(qt5_get_bindir)/.."
local gentoo_buildid="Gentoo official package"
if [[ -n ${LOCOREGIT_VERSION} ]]; then
@@ -556,6 +551,37 @@ src_install() {
dodir /etc/env.d
echo "CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" > "${ED}"/etc/env.d/99${PN} || die
fi
+
+ # bug 703474
+ insinto /usr/include
+ doins -r include/LibreOfficeKit
+
+ local lodir=/usr/$(get_libdir)/libreoffice
+ # patching this would break tests
+ cat <<-EOF > "${T}"/uno.py
+import sys, os
+sys.path.append('${EPREFIX}${lodir}/program')
+os.putenv('URE_BOOTSTRAP', 'vnd.sun.star.pathname:${EPREFIX}${lodir}/program/fundamentalrc')
+EOF
+ sed -e "/^import sys/d" -e "/^import os/d" \
+ -i "${D}"${lodir}/program/uno.py || die "cleanup dupl imports failed"
+ cat "${D}"${lodir}/program/uno.py >> "${T}"/uno.py || die
+ cp "${T}"/uno.py "${D}"${lodir}/program/uno.py || die
+
+ # more system pyuno mess
+ sed -e "/sOffice = \"\" # lets hope for the best/s:\"\":\"${EPREFIX}${lodir}/program\":" \
+ -i "${D}"${lodir}/program/officehelper.py || die
+
+ python_optimize "${D}"${lodir}/program
+ # link python bridge in site-packages, bug 667802
+ local py pyc loprogdir=$(get_libdir)/libreoffice/program
+ for py in uno.py unohelper.py officehelper.py; do
+ dosym ../../../${loprogdir}/${py} $(python_get_sitedir)/${py}
+ while IFS="" read -d $'\0' -r pyc; do
+ pyc=${pyc//*\/}
+ dosym ../../../../${loprogdir}/__pycache__/${pyc} $(python_get_sitedir)/__pycache__/${pyc}
+ done < <(find "${D}"${lodir}/program -type f -name ${py/.py/*.pyc} -print0)
+ done
}
pkg_postinst() {